source

A point of origin for messages. More...

`#include <source.hpp>`

Inheritance diagram for source:
[legend]
Collaboration diagram for source:
[legend]

## Classes

class | filter_map
| Experimental - A map of AMQP symbol keys and filter specifiers. More...

## Public Types

enum | distribution_mode { UNSPECIFIED, COPY, MOVE }
| The policy for distributing messages. More...
enum | durability_mode
| The persistence mode of the source or target.
enum | expiry_policy
| When expiration of the source or target begins.

## Public Member Functions

| source ()
| Create an empty source.
std::string | address () const
| The address of the source.
enum distribution_mode | distribution_mode () const
| Get the distribution mode.
filter_map | filters () const
| Experimental - Obtain the set of message filters.
enum durability_mode | durability_mode ()
| Get the durability flag.
enum expiry_policy | expiry_policy () const
| Get the policy for when expiration begins.
duration | timeout () const
| The period after which the source is discarded on expiry. More...
bool | dynamic () const
| True if the remote node is created dynamically.
value | node_properties () const
| Obtain a reference to the AMQP dynamic node properties for the terminus. More...

## Detailed Description

A point of origin for messages.

See also
  proton::sender, proton::receiver, proton::target

Examples:
  broker.cpp, and broker.hpp.

## Member Enumeration Documentation

## distribution_mode

enum distribution_mode

The policy for distributing messages.

Enumerator
UNSPECIFIED | Unspecified.
COPY | Once transferred, the message remains available to other links.
MOVE | Once transferred, the message is unavailable to other links.

## Member Function Documentation

## node_properties()

value node_properties | ( |  | ) | const

inherited

Obtain a reference to the AMQP dynamic node properties for the terminus.

See also lifetime_policy.

## timeout()

duration timeout | ( |  | ) | const

inherited

The period after which the source is discarded on expiry.

The duration is rounded to the nearest second.

The documentation for this class was generated from the following file:

- proton/source.hpp